import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::AppFlow::ConnectorProfile
 */
export declare function getConnectorProfile(args: GetConnectorProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectorProfileResult>;
export interface GetConnectorProfileArgs {
    /**
     * The maximum number of items to retrieve in a single batch.
     */
    connectorProfileName: string;
}
export interface GetConnectorProfileResult {
    /**
     * Mode in which data transfer should be enabled. Private connection mode is currently enabled for Salesforce, Snowflake, Trendmicro and Singular
     */
    readonly connectionMode?: enums.appflow.ConnectorProfileConnectionMode;
    /**
     * Unique identifier for connector profile resources
     */
    readonly connectorProfileArn?: string;
    /**
     * A unique Arn for Connector-Profile resource
     */
    readonly credentialsArn?: string;
}
/**
 * Resource Type definition for AWS::AppFlow::ConnectorProfile
 */
export declare function getConnectorProfileOutput(args: GetConnectorProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectorProfileResult>;
export interface GetConnectorProfileOutputArgs {
    /**
     * The maximum number of items to retrieve in a single batch.
     */
    connectorProfileName: pulumi.Input<string>;
}
