"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryConfig = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::AppStream::DirectoryConfig
 */
class DirectoryConfig extends pulumi.CustomResource {
    /**
     * Get an existing DirectoryConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new DirectoryConfig(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of DirectoryConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === DirectoryConfig.__pulumiType;
    }
    /**
     * Create a DirectoryConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.directoryName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'directoryName'");
            }
            if ((!args || args.organizationalUnitDistinguishedNames === undefined) && !opts.urn) {
                throw new Error("Missing required property 'organizationalUnitDistinguishedNames'");
            }
            if ((!args || args.serviceAccountCredentials === undefined) && !opts.urn) {
                throw new Error("Missing required property 'serviceAccountCredentials'");
            }
            resourceInputs["certificateBasedAuthProperties"] = args ? args.certificateBasedAuthProperties : undefined;
            resourceInputs["directoryName"] = args ? args.directoryName : undefined;
            resourceInputs["organizationalUnitDistinguishedNames"] = args ? args.organizationalUnitDistinguishedNames : undefined;
            resourceInputs["serviceAccountCredentials"] = args ? args.serviceAccountCredentials : undefined;
        }
        else {
            resourceInputs["certificateBasedAuthProperties"] = undefined /*out*/;
            resourceInputs["directoryName"] = undefined /*out*/;
            resourceInputs["organizationalUnitDistinguishedNames"] = undefined /*out*/;
            resourceInputs["serviceAccountCredentials"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["directoryName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(DirectoryConfig.__pulumiType, name, resourceInputs, opts);
    }
}
exports.DirectoryConfig = DirectoryConfig;
/** @internal */
DirectoryConfig.__pulumiType = 'aws-native:appstream:DirectoryConfig';
//# sourceMappingURL=directoryConfig.js.map