import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::Athena::WorkGroup
 */
export declare function getWorkGroup(args: GetWorkGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkGroupResult>;
export interface GetWorkGroupArgs {
    /**
     * The workGroup name.
     */
    name: string;
}
export interface GetWorkGroupResult {
    /**
     * The date and time the workgroup was created.
     */
    readonly creationTime?: string;
    /**
     * The workgroup description.
     */
    readonly description?: string;
    /**
     * The state of the workgroup: ENABLED or DISABLED.
     */
    readonly state?: enums.athena.WorkGroupState;
    /**
     * One or more tags, separated by commas, that you want to attach to the workgroup as you create it
     */
    readonly tags?: outputs.Tag[];
    /**
     * The workgroup configuration
     */
    readonly workGroupConfiguration?: outputs.athena.WorkGroupConfiguration;
}
/**
 * Resource schema for AWS::Athena::WorkGroup
 */
export declare function getWorkGroupOutput(args: GetWorkGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkGroupResult>;
export interface GetWorkGroupOutputArgs {
    /**
     * The workGroup name.
     */
    name: pulumi.Input<string>;
}
