import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Connect::ContactFlowModule.
 */
export declare function getContactFlowModule(args: GetContactFlowModuleArgs, opts?: pulumi.InvokeOptions): Promise<GetContactFlowModuleResult>;
export interface GetContactFlowModuleArgs {
    /**
     * The identifier of the contact flow module (ARN).
     */
    contactFlowModuleArn: string;
}
export interface GetContactFlowModuleResult {
    /**
     * The identifier of the contact flow module (ARN).
     */
    readonly contactFlowModuleArn?: string;
    /**
     * The content of the contact flow module in JSON format.
     */
    readonly content?: string;
    /**
     * The description of the contact flow module.
     */
    readonly description?: string;
    /**
     * The identifier of the Amazon Connect instance (ARN).
     */
    readonly instanceArn?: string;
    /**
     * The name of the contact flow module.
     */
    readonly name?: string;
    /**
     * The state of the contact flow module.
     */
    readonly state?: string;
    /**
     * The status of the contact flow module.
     */
    readonly status?: string;
    /**
     * One or more tags.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Connect::ContactFlowModule.
 */
export declare function getContactFlowModuleOutput(args: GetContactFlowModuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactFlowModuleResult>;
export interface GetContactFlowModuleOutputArgs {
    /**
     * The identifier of the contact flow module (ARN).
     */
    contactFlowModuleArn: pulumi.Input<string>;
}
