"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocationFSxLustre = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::DataSync::LocationFSxLustre.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const locationFSxLustre = new aws_native.datasync.LocationFSxLustre("locationFSxLustre", {
 *     fsxFilesystemArn: "arn:aws:fsx:us-east-2:111222333444:file-system/fs-12345fsx",
 *     securityGroupArns: ["arn:aws:ec2:us-east-2:11122233344:security-group/sg-12345678901212345"],
 *     subdirectory: "/MySubdirectory",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const locationFSxLustre = new aws_native.datasync.LocationFSxLustre("locationFSxLustre", {
 *     fsxFilesystemArn: "arn:aws:fsx:us-east-2:111222333444:file-system/fs-12345fsx",
 *     securityGroupArns: ["arn:aws:ec2:us-east-2:11122233344:security-group/sg-12345678901212345"],
 *     subdirectory: "/MySubdirectory",
 * });
 *
 * ```
 */
class LocationFSxLustre extends pulumi.CustomResource {
    /**
     * Get an existing LocationFSxLustre resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new LocationFSxLustre(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of LocationFSxLustre.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === LocationFSxLustre.__pulumiType;
    }
    /**
     * Create a LocationFSxLustre resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.securityGroupArns === undefined) && !opts.urn) {
                throw new Error("Missing required property 'securityGroupArns'");
            }
            resourceInputs["fsxFilesystemArn"] = args ? args.fsxFilesystemArn : undefined;
            resourceInputs["securityGroupArns"] = args ? args.securityGroupArns : undefined;
            resourceInputs["subdirectory"] = args ? args.subdirectory : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["locationArn"] = undefined /*out*/;
            resourceInputs["locationUri"] = undefined /*out*/;
        }
        else {
            resourceInputs["fsxFilesystemArn"] = undefined /*out*/;
            resourceInputs["locationArn"] = undefined /*out*/;
            resourceInputs["locationUri"] = undefined /*out*/;
            resourceInputs["securityGroupArns"] = undefined /*out*/;
            resourceInputs["subdirectory"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["fsxFilesystemArn", "securityGroupArns[*]"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(LocationFSxLustre.__pulumiType, name, resourceInputs, opts);
    }
}
exports.LocationFSxLustre = LocationFSxLustre;
/** @internal */
LocationFSxLustre.__pulumiType = 'aws-native:datasync:LocationFSxLustre';
//# sourceMappingURL=locationFSxLustre.js.map