import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::Detective::Graph
 */
export declare function getGraph(args: GetGraphArgs, opts?: pulumi.InvokeOptions): Promise<GetGraphResult>;
export interface GetGraphArgs {
    /**
     * The Detective graph ARN
     */
    arn: string;
}
export interface GetGraphResult {
    /**
     * The Detective graph ARN
     */
    readonly arn?: string;
    /**
     * Indicates whether to automatically enable new organization accounts as member accounts in the organization behavior graph.
     */
    readonly autoEnableMembers?: boolean;
    /**
     * The tag values to assign to the new behavior graph.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::Detective::Graph
 */
export declare function getGraphOutput(args: GetGraphOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGraphResult>;
export interface GetGraphOutputArgs {
    /**
     * The Detective graph ARN
     */
    arn: pulumi.Input<string>;
}
