import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Specifies a VPC flow log, which enables you to capture IP traffic for a specific network interface, subnet, or VPC.
 */
export declare function getFlowLog(args: GetFlowLogArgs, opts?: pulumi.InvokeOptions): Promise<GetFlowLogResult>;
export interface GetFlowLogArgs {
    /**
     * The Flow Log ID
     */
    id: string;
}
export interface GetFlowLogResult {
    /**
     * The Flow Log ID
     */
    readonly id?: string;
    /**
     * The tags to apply to the flow logs.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Specifies a VPC flow log, which enables you to capture IP traffic for a specific network interface, subnet, or VPC.
 */
export declare function getFlowLogOutput(args: GetFlowLogOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFlowLogResult>;
export interface GetFlowLogOutputArgs {
    /**
     * The Flow Log ID
     */
    id: pulumi.Input<string>;
}
