import * as pulumi from "@pulumi/pulumi";
/**
 * Associates a gateway with a route table. The gateway and route table must be in the same VPC. This association causes the incoming traffic to the gateway to be routed according to the routes in the route table.
 */
export declare function getGatewayRouteTableAssociation(args: GetGatewayRouteTableAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetGatewayRouteTableAssociationResult>;
export interface GetGatewayRouteTableAssociationArgs {
    /**
     * The ID of the gateway.
     */
    gatewayId: string;
}
export interface GetGatewayRouteTableAssociationResult {
    /**
     * The route table association ID.
     */
    readonly associationId?: string;
    /**
     * The ID of the route table.
     */
    readonly routeTableId?: string;
}
/**
 * Associates a gateway with a route table. The gateway and route table must be in the same VPC. This association causes the incoming traffic to the gateway to be routed according to the routes in the route table.
 */
export declare function getGatewayRouteTableAssociationOutput(args: GetGatewayRouteTableAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGatewayRouteTableAssociationResult>;
export interface GetGatewayRouteTableAssociationOutputArgs {
    /**
     * The ID of the gateway.
     */
    gatewayId: pulumi.Input<string>;
}
