import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::Host
 */
export declare function getHost(args: GetHostArgs, opts?: pulumi.InvokeOptions): Promise<GetHostResult>;
export interface GetHostArgs {
    /**
     * ID of the host created.
     */
    hostId: string;
}
export interface GetHostResult {
    /**
     * Indicates whether the host accepts any untargeted instance launches that match its instance type configuration, or if it only accepts Host tenancy instance launches that specify its unique host ID.
     */
    readonly autoPlacement?: string;
    /**
     * ID of the host created.
     */
    readonly hostId?: string;
    /**
     * Automatically allocates a new dedicated host and moves your instances on to it if a degradation is detected on your current host.
     */
    readonly hostMaintenance?: string;
    /**
     * Indicates whether to enable or disable host recovery for the Dedicated Host. Host recovery is disabled by default.
     */
    readonly hostRecovery?: string;
}
/**
 * Resource Type definition for AWS::EC2::Host
 */
export declare function getHostOutput(args: GetHostOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHostResult>;
export interface GetHostOutputArgs {
    /**
     * ID of the host created.
     */
    hostId: pulumi.Input<string>;
}
