import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::EC2::SpotFleet
 */
export declare class SpotFleet extends pulumi.CustomResource {
    /**
     * Get an existing SpotFleet resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): SpotFleet;
    /**
     * Returns true if the given object is an instance of SpotFleet.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is SpotFleet;
    /**
     * The ID of the Spot Fleet.
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * Describes the configuration of a Spot Fleet request.
     */
    readonly spotFleetRequestConfigData: pulumi.Output<outputs.ec2.SpotFleetRequestConfigData>;
    /**
     * Create a SpotFleet resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: SpotFleetArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a SpotFleet resource.
 */
export interface SpotFleetArgs {
    /**
     * Describes the configuration of a Spot Fleet request.
     */
    spotFleetRequestConfigData: pulumi.Input<inputs.ec2.SpotFleetRequestConfigDataArgs>;
}
