import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::EC2::TransitGatewayRouteTableAssociation
 */
export declare class TransitGatewayRouteTableAssociation extends pulumi.CustomResource {
    /**
     * Get an existing TransitGatewayRouteTableAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): TransitGatewayRouteTableAssociation;
    /**
     * Returns true if the given object is an instance of TransitGatewayRouteTableAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is TransitGatewayRouteTableAssociation;
    /**
     * The ID of transit gateway attachment.
     */
    readonly transitGatewayAttachmentId: pulumi.Output<string>;
    /**
     * The ID of transit gateway route table.
     */
    readonly transitGatewayRouteTableId: pulumi.Output<string>;
    /**
     * Create a TransitGatewayRouteTableAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: TransitGatewayRouteTableAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a TransitGatewayRouteTableAssociation resource.
 */
export interface TransitGatewayRouteTableAssociationArgs {
    /**
     * The ID of transit gateway attachment.
     */
    transitGatewayAttachmentId: pulumi.Input<string>;
    /**
     * The ID of transit gateway route table.
     */
    transitGatewayRouteTableId: pulumi.Input<string>;
}
