import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::EMR::WALWorkspace Type
 */
export declare function getWalWorkspace(args: GetWalWorkspaceArgs, opts?: pulumi.InvokeOptions): Promise<GetWalWorkspaceResult>;
export interface GetWalWorkspaceArgs {
    /**
     * The name of the emrwal container
     */
    walWorkspaceName: string;
}
export interface GetWalWorkspaceResult {
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::EMR::WALWorkspace Type
 */
export declare function getWalWorkspaceOutput(args: GetWalWorkspaceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWalWorkspaceResult>;
export interface GetWalWorkspaceOutputArgs {
    /**
     * The name of the emrwal container
     */
    walWorkspaceName: pulumi.Input<string>;
}
