import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::Events::ApiDestination.
 */
export declare function getApiDestination(args: GetApiDestinationArgs, opts?: pulumi.InvokeOptions): Promise<GetApiDestinationResult>;
export interface GetApiDestinationArgs {
    /**
     * Name of the apiDestination.
     */
    name: string;
}
export interface GetApiDestinationResult {
    /**
     * The arn of the api destination.
     */
    readonly arn?: string;
    /**
     * The arn of the connection.
     */
    readonly connectionArn?: string;
    /**
     * A description for the API destination to create.
     */
    readonly description?: string;
    /**
     * The method to use for the request to the HTTP invocation endpoint.
     */
    readonly httpMethod?: enums.events.ApiDestinationHttpMethod;
    /**
     * Url endpoint to invoke.
     */
    readonly invocationEndpoint?: string;
    /**
     * The maximum number of requests per second to send to the HTTP invocation endpoint.
     */
    readonly invocationRateLimitPerSecond?: number;
}
/**
 * Resource Type definition for AWS::Events::ApiDestination.
 */
export declare function getApiDestinationOutput(args: GetApiDestinationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApiDestinationResult>;
export interface GetApiDestinationOutputArgs {
    /**
     * Name of the apiDestination.
     */
    name: pulumi.Input<string>;
}
