import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getEnvironment(args: GetEnvironmentArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentResult>;
export interface GetEnvironmentArgs {
    /**
     * Unique identifier for representing FinSpace Environment
     */
    environmentId: string;
}
export interface GetEnvironmentResult {
    /**
     * AWS account ID associated with the Environment
     */
    readonly awsAccountId?: string;
    /**
     * ID for FinSpace created account used to store Environment artifacts
     */
    readonly dedicatedServiceAccountId?: string;
    /**
     * Description of the Environment
     */
    readonly description?: string;
    /**
     * ARN of the Environment
     */
    readonly environmentArn?: string;
    /**
     * Unique identifier for representing FinSpace Environment
     */
    readonly environmentId?: string;
    /**
     * URL used to login to the Environment
     */
    readonly environmentUrl?: string;
    /**
     * Federation mode used with the Environment
     */
    readonly federationMode?: enums.finspace.EnvironmentFederationMode;
    /**
     * Name of the Environment
     */
    readonly name?: string;
    /**
     * SageMaker Studio Domain URL associated with the Environment
     */
    readonly sageMakerStudioDomainUrl?: string;
    /**
     * State of the Environment
     */
    readonly status?: enums.finspace.EnvironmentStatus;
}
/**
 * An example resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getEnvironmentOutput(args: GetEnvironmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentResult>;
export interface GetEnvironmentOutputArgs {
    /**
     * Unique identifier for representing FinSpace Environment
     */
    environmentId: pulumi.Input<string>;
}
