import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An entity type for fraud detector.
 */
export declare function getEntityType(args: GetEntityTypeArgs, opts?: pulumi.InvokeOptions): Promise<GetEntityTypeResult>;
export interface GetEntityTypeArgs {
    /**
     * The entity type ARN.
     */
    arn: string;
}
export interface GetEntityTypeResult {
    /**
     * The entity type ARN.
     */
    readonly arn?: string;
    /**
     * The timestamp when the entity type was created.
     */
    readonly createdTime?: string;
    /**
     * The entity type description.
     */
    readonly description?: string;
    /**
     * The timestamp when the entity type was last updated.
     */
    readonly lastUpdatedTime?: string;
    /**
     * Tags associated with this entity type.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * An entity type for fraud detector.
 */
export declare function getEntityTypeOutput(args: GetEntityTypeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEntityTypeResult>;
export interface GetEntityTypeOutputArgs {
    /**
     * The entity type ARN.
     */
    arn: pulumi.Input<string>;
}
