import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * An label for fraud detector.
 */
export declare class Label extends pulumi.CustomResource {
    /**
     * Get an existing Label resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): Label;
    /**
     * Returns true if the given object is an instance of Label.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is Label;
    /**
     * The label ARN.
     */
    readonly arn: pulumi.Output<string>;
    /**
     * The timestamp when the label was created.
     */
    readonly createdTime: pulumi.Output<string>;
    /**
     * The label description.
     */
    readonly description: pulumi.Output<string | undefined>;
    /**
     * The timestamp when the label was last updated.
     */
    readonly lastUpdatedTime: pulumi.Output<string>;
    /**
     * The name of the label.
     */
    readonly name: pulumi.Output<string>;
    /**
     * Tags associated with this label.
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * Create a Label resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: LabelArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a Label resource.
 */
export interface LabelArgs {
    /**
     * The label description.
     */
    description?: pulumi.Input<string>;
    /**
     * The name of the label.
     */
    name?: pulumi.Input<string>;
    /**
     * Tags associated with this label.
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
