import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * This creates a Resource of UsageProfile type.
 */
export declare function getUsageProfile(args: GetUsageProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetUsageProfileResult>;
export interface GetUsageProfileArgs {
    /**
     * The name of the UsageProfile.
     */
    name: string;
}
export interface GetUsageProfileResult {
    /**
     * UsageProfile configuration for supported service ex: (Jobs, Sessions).
     */
    readonly configuration?: outputs.glue.UsageProfileProfileConfiguration;
    /**
     * Creation time.
     */
    readonly createdOn?: string;
    /**
     * The description of the UsageProfile.
     */
    readonly description?: string;
    /**
     * The tags to be applied to this UsageProfiles.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * This creates a Resource of UsageProfile type.
 */
export declare function getUsageProfileOutput(args: GetUsageProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetUsageProfileResult>;
export interface GetUsageProfileOutputArgs {
    /**
     * The name of the UsageProfile.
     */
    name: pulumi.Input<string>;
}
