import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::IoT::TopicRuleDestination
 */
export declare function getTopicRuleDestination(args: GetTopicRuleDestinationArgs, opts?: pulumi.InvokeOptions): Promise<GetTopicRuleDestinationResult>;
export interface GetTopicRuleDestinationArgs {
    /**
     * Amazon Resource Name (ARN).
     */
    arn: string;
}
export interface GetTopicRuleDestinationResult {
    /**
     * Amazon Resource Name (ARN).
     */
    readonly arn?: string;
    /**
     * The status of the TopicRuleDestination.
     */
    readonly status?: enums.iot.TopicRuleDestinationStatus;
    /**
     * The reasoning for the current status of the TopicRuleDestination.
     */
    readonly statusReason?: string;
}
/**
 * Resource Type definition for AWS::IoT::TopicRuleDestination
 */
export declare function getTopicRuleDestinationOutput(args: GetTopicRuleDestinationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTopicRuleDestinationResult>;
export interface GetTopicRuleDestinationOutputArgs {
    /**
     * Amazon Resource Name (ARN).
     */
    arn: pulumi.Input<string>;
}
