import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Logs::LogStream
 */
export declare class LogStream extends pulumi.CustomResource {
    /**
     * Get an existing LogStream resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): LogStream;
    /**
     * Returns true if the given object is an instance of LogStream.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is LogStream;
    /**
     * The name of the log group where the log stream is created.
     */
    readonly logGroupName: pulumi.Output<string>;
    /**
     * The name of the log stream. The name must be unique wihtin the log group.
     */
    readonly logStreamName: pulumi.Output<string | undefined>;
    /**
     * Create a LogStream resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: LogStreamArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a LogStream resource.
 */
export interface LogStreamArgs {
    /**
     * The name of the log group where the log stream is created.
     */
    logGroupName: pulumi.Input<string>;
    /**
     * The name of the log stream. The name must be unique wihtin the log group.
     */
    logStreamName?: pulumi.Input<string>;
}
