import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::MediaConnect::Gateway
 */
export declare function getGateway(args: GetGatewayArgs, opts?: pulumi.InvokeOptions): Promise<GetGatewayResult>;
export interface GetGatewayArgs {
    /**
     * The Amazon Resource Name (ARN) of the gateway.
     */
    gatewayArn: string;
}
export interface GetGatewayResult {
    /**
     * The Amazon Resource Name (ARN) of the gateway.
     */
    readonly gatewayArn?: string;
    /**
     * The current status of the gateway.
     */
    readonly gatewayState?: enums.mediaconnect.GatewayState;
}
/**
 * Resource schema for AWS::MediaConnect::Gateway
 */
export declare function getGatewayOutput(args: GetGatewayOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGatewayResult>;
export interface GetGatewayOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the gateway.
     */
    gatewayArn: pulumi.Input<string>;
}
