import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::MediaLive::ChannelPlacementGroup Resource Type
 */
export declare function getChannelPlacementGroup(args: GetChannelPlacementGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetChannelPlacementGroupResult>;
export interface GetChannelPlacementGroupArgs {
    /**
     * The ID of the cluster the node is on.
     */
    clusterId: string;
    /**
     * Unique internal identifier.
     */
    id: string;
}
export interface GetChannelPlacementGroupResult {
    /**
     * The ARN of the channel placement group.
     */
    readonly arn?: string;
    /**
     * List of channel IDs added to the channel placement group.
     */
    readonly channels?: string[];
    /**
     * Unique internal identifier.
     */
    readonly id?: string;
    /**
     * The name of the channel placement group.
     */
    readonly name?: string;
    /**
     * List of nodes added to the channel placement group
     */
    readonly nodes?: string[];
    readonly state?: enums.medialive.ChannelPlacementGroupState;
    /**
     * A collection of key-value pairs.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::MediaLive::ChannelPlacementGroup Resource Type
 */
export declare function getChannelPlacementGroupOutput(args: GetChannelPlacementGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChannelPlacementGroupResult>;
export interface GetChannelPlacementGroupOutputArgs {
    /**
     * The ID of the cluster the node is on.
     */
    clusterId: pulumi.Input<string>;
    /**
     * Unique internal identifier.
     */
    id: pulumi.Input<string>;
}
