import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaPackage::Channel
 */
export declare function getChannel(args: GetChannelArgs, opts?: pulumi.InvokeOptions): Promise<GetChannelResult>;
export interface GetChannelArgs {
    /**
     * The ID of the Channel.
     */
    id: string;
}
export interface GetChannelResult {
    /**
     * The Amazon Resource Name (ARN) assigned to the Channel.
     */
    readonly arn?: string;
    /**
     * A short text description of the Channel.
     */
    readonly description?: string;
    /**
     * The configuration parameters for egress access logging.
     */
    readonly egressAccessLogs?: outputs.mediapackage.ChannelLogConfiguration;
    /**
     * An HTTP Live Streaming (HLS) ingest resource configuration.
     */
    readonly hlsIngest?: outputs.mediapackage.ChannelHlsIngest;
    /**
     * The configuration parameters for egress access logging.
     */
    readonly ingressAccessLogs?: outputs.mediapackage.ChannelLogConfiguration;
}
/**
 * Resource schema for AWS::MediaPackage::Channel
 */
export declare function getChannelOutput(args: GetChannelOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChannelResult>;
export interface GetChannelOutputArgs {
    /**
     * The ID of the Channel.
     */
    id: pulumi.Input<string>;
}
