import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::MemoryDB::ACL
 */
export declare function getAcl(args: GetAclArgs, opts?: pulumi.InvokeOptions): Promise<GetAclResult>;
export interface GetAclArgs {
    /**
     * The name of the acl.
     */
    aclName: string;
}
export interface GetAclResult {
    /**
     * The Amazon Resource Name (ARN) of the acl.
     */
    readonly arn?: string;
    /**
     * Indicates acl status. Can be "creating", "active", "modifying", "deleting".
     */
    readonly status?: string;
    /**
     * An array of key-value pairs to apply to this cluster.
     */
    readonly tags?: outputs.Tag[];
    /**
     * List of users associated to this acl.
     */
    readonly userNames?: string[];
}
/**
 * Resource Type definition for AWS::MemoryDB::ACL
 */
export declare function getAclOutput(args: GetAclOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAclResult>;
export interface GetAclOutputArgs {
    /**
     * The name of the acl.
     */
    aclName: pulumi.Input<string>;
}
