import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Amazon OpenSearchServerless lifecycle policy resource
 */
export declare function getLifecyclePolicy(args: GetLifecyclePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetLifecyclePolicyResult>;
export interface GetLifecyclePolicyArgs {
    /**
     * The name of the policy
     */
    name: string;
    /**
     * The type of lifecycle policy.
     */
    type: enums.opensearchserverless.LifecyclePolicyType;
}
export interface GetLifecyclePolicyResult {
    /**
     * The description of the policy
     */
    readonly description?: string;
    /**
     * The JSON policy document that is the content for the policy
     */
    readonly policy?: string;
}
/**
 * Amazon OpenSearchServerless lifecycle policy resource
 */
export declare function getLifecyclePolicyOutput(args: GetLifecyclePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLifecyclePolicyResult>;
export interface GetLifecyclePolicyOutputArgs {
    /**
     * The name of the policy
     */
    name: pulumi.Input<string>;
    /**
     * The type of lifecycle policy.
     */
    type: pulumi.Input<enums.opensearchserverless.LifecyclePolicyType>;
}
