import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::Proton::EnvironmentTemplate Resource Type
 */
export declare function getEnvironmentTemplate(args: GetEnvironmentTemplateArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentTemplateResult>;
export interface GetEnvironmentTemplateArgs {
    /**
     * <p>The Amazon Resource Name (ARN) of the environment template.</p>
     */
    arn: string;
}
export interface GetEnvironmentTemplateResult {
    /**
     * <p>The Amazon Resource Name (ARN) of the environment template.</p>
     */
    readonly arn?: string;
    /**
     * <p>A description of the environment template.</p>
     */
    readonly description?: string;
    /**
     * <p>The environment template name as displayed in the developer interface.</p>
     */
    readonly displayName?: string;
    /**
     * <p>An optional list of metadata items that you can associate with the Proton environment template. A tag is a key-value pair.</p>
     *          <p>For more information, see <a href="https://docs.aws.amazon.com/proton/latest/userguide/resources.html">Proton resources and tagging</a> in the
     *         <i>Proton User Guide</i>.</p>
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::Proton::EnvironmentTemplate Resource Type
 */
export declare function getEnvironmentTemplateOutput(args: GetEnvironmentTemplateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentTemplateResult>;
export interface GetEnvironmentTemplateOutputArgs {
    /**
     * <p>The Amazon Resource Name (ARN) of the environment template.</p>
     */
    arn: pulumi.Input<string>;
}
