import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::Route53::CidrCollection.
 */
export declare function getCidrCollection(args: GetCidrCollectionArgs, opts?: pulumi.InvokeOptions): Promise<GetCidrCollectionResult>;
export interface GetCidrCollectionArgs {
    /**
     * UUID of the CIDR collection.
     */
    id: string;
}
export interface GetCidrCollectionResult {
    /**
     * The Amazon resource name (ARN) to uniquely identify the AWS resource.
     */
    readonly arn?: string;
    /**
     * UUID of the CIDR collection.
     */
    readonly id?: string;
    /**
     * A complex type that contains information about the list of CIDR locations.
     */
    readonly locations?: outputs.route53.CidrCollectionLocation[];
}
/**
 * Resource schema for AWS::Route53::CidrCollection.
 */
export declare function getCidrCollectionOutput(args: GetCidrCollectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCidrCollectionResult>;
export interface GetCidrCollectionOutputArgs {
    /**
     * UUID of the CIDR collection.
     */
    id: pulumi.Input<string>;
}
