import * as pulumi from "@pulumi/pulumi";
/**
 * In the response to an [AssociateResolverRule](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateResolverRule.html), [DisassociateResolverRule](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateResolverRule.html), or [ListResolverRuleAssociations](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_ListResolverRuleAssociations.html) request, provides information about an association between a resolver rule and a VPC. The association determines which DNS queries that originate in the VPC are forwarded to your network.
 */
export declare function getResolverRuleAssociation(args: GetResolverRuleAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetResolverRuleAssociationResult>;
export interface GetResolverRuleAssociationArgs {
    /**
     * The ID of the resolver rule association that you want to get information about, such as `rslvr-rrassoc-97242eaf88example` .
     */
    resolverRuleAssociationId: string;
}
export interface GetResolverRuleAssociationResult {
    /**
     * The ID of the resolver rule association that you want to get information about, such as `rslvr-rrassoc-97242eaf88example` .
     */
    readonly resolverRuleAssociationId?: string;
}
/**
 * In the response to an [AssociateResolverRule](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_AssociateResolverRule.html), [DisassociateResolverRule](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_DisassociateResolverRule.html), or [ListResolverRuleAssociations](https://docs.aws.amazon.com/Route53/latest/APIReference/API_route53resolver_ListResolverRuleAssociations.html) request, provides information about an association between a resolver rule and a VPC. The association determines which DNS queries that originate in the VPC are forwarded to your network.
 */
export declare function getResolverRuleAssociationOutput(args: GetResolverRuleAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResolverRuleAssociationResult>;
export interface GetResolverRuleAssociationOutputArgs {
    /**
     * The ID of the resolver rule association that you want to get information about, such as `rslvr-rrassoc-97242eaf88example` .
     */
    resolverRuleAssociationId: pulumi.Input<string>;
}
