import * as pulumi from "@pulumi/pulumi";
/**
 * AWS::S3::MultiRegionAccessPoint is an Amazon S3 resource type that dynamically routes S3 requests to easily satisfy geographic compliance requirements based on customer-defined routing policies.
 */
export declare function getMultiRegionAccessPoint(args: GetMultiRegionAccessPointArgs, opts?: pulumi.InvokeOptions): Promise<GetMultiRegionAccessPointResult>;
export interface GetMultiRegionAccessPointArgs {
    /**
     * The name you want to assign to this Multi Region Access Point.
     */
    name: string;
}
export interface GetMultiRegionAccessPointResult {
    /**
     * The alias is a unique identifier to, and is part of the public DNS name for this Multi Region Access Point
     */
    readonly alias?: string;
    /**
     * The timestamp of the when the Multi Region Access Point is created
     */
    readonly createdAt?: string;
}
/**
 * AWS::S3::MultiRegionAccessPoint is an Amazon S3 resource type that dynamically routes S3 requests to easily satisfy geographic compliance requirements based on customer-defined routing policies.
 */
export declare function getMultiRegionAccessPointOutput(args: GetMultiRegionAccessPointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMultiRegionAccessPointResult>;
export interface GetMultiRegionAccessPointOutputArgs {
    /**
     * The name you want to assign to this Multi Region Access Point.
     */
    name: pulumi.Input<string>;
}
