import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::S3::StorageLensGroup resource is an Amazon S3 resource type that you can use to create Storage Lens Group.
 */
export declare function getStorageLensGroup(args: GetStorageLensGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetStorageLensGroupResult>;
export interface GetStorageLensGroupArgs {
    /**
     * This property contains the Storage Lens group name.
     */
    name: string;
}
export interface GetStorageLensGroupResult {
    /**
     * This property contains the criteria for the Storage Lens group data that is displayed
     */
    readonly filter?: outputs.s3.StorageLensGroupFilter;
    /**
     * The ARN for the Amazon S3 Storage Lens Group.
     */
    readonly storageLensGroupArn?: string;
    /**
     * A set of tags (key-value pairs) for this Amazon S3 Storage Lens Group.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::S3::StorageLensGroup resource is an Amazon S3 resource type that you can use to create Storage Lens Group.
 */
export declare function getStorageLensGroupOutput(args: GetStorageLensGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStorageLensGroupResult>;
export interface GetStorageLensGroupOutputArgs {
    /**
     * This property contains the Storage Lens group name.
     */
    name: pulumi.Input<string>;
}
