import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SecurityLake::AwsLogSource
 */
export declare function getAwsLogSource(args: GetAwsLogSourceArgs, opts?: pulumi.InvokeOptions): Promise<GetAwsLogSourceResult>;
export interface GetAwsLogSourceArgs {
    /**
     * The name for a AWS source. This must be a Regionally unique value.
     */
    sourceName: string;
    /**
     * The version for a AWS source. This must be a Regionally unique value.
     */
    sourceVersion: string;
}
export interface GetAwsLogSourceResult {
    /**
     * AWS account where you want to collect logs from.
     */
    readonly accounts?: string[];
}
/**
 * Resource Type definition for AWS::SecurityLake::AwsLogSource
 */
export declare function getAwsLogSourceOutput(args: GetAwsLogSourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAwsLogSourceResult>;
export interface GetAwsLogSourceOutputArgs {
    /**
     * The name for a AWS source. This must be a Regionally unique value.
     */
    sourceName: pulumi.Input<string>;
    /**
     * The version for a AWS source. This must be a Regionally unique value.
     */
    sourceVersion: pulumi.Input<string>;
}
