import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Schema for AWS::ServiceCatalog::ServiceActionAssociation
 */
export declare class ServiceActionAssociation extends pulumi.CustomResource {
    /**
     * Get an existing ServiceActionAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): ServiceActionAssociation;
    /**
     * Returns true if the given object is an instance of ServiceActionAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is ServiceActionAssociation;
    /**
     * The product identifier. For example, `prod-abcdzk7xy33qa` .
     */
    readonly productId: pulumi.Output<string>;
    /**
     * The identifier of the provisioning artifact. For example, `pa-4abcdjnxjj6ne` .
     */
    readonly provisioningArtifactId: pulumi.Output<string>;
    /**
     * The self-service action identifier. For example, `act-fs7abcd89wxyz` .
     */
    readonly serviceActionId: pulumi.Output<string>;
    /**
     * Create a ServiceActionAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ServiceActionAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a ServiceActionAssociation resource.
 */
export interface ServiceActionAssociationArgs {
    /**
     * The product identifier. For example, `prod-abcdzk7xy33qa` .
     */
    productId: pulumi.Input<string>;
    /**
     * The identifier of the provisioning artifact. For example, `pa-4abcdjnxjj6ne` .
     */
    provisioningArtifactId: pulumi.Input<string>;
    /**
     * The self-service action identifier. For example, `act-fs7abcd89wxyz` .
     */
    serviceActionId: pulumi.Input<string>;
}
