import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::SES::VdmAttributes
 */
export declare function getVdmAttributes(args: GetVdmAttributesArgs, opts?: pulumi.InvokeOptions): Promise<GetVdmAttributesResult>;
export interface GetVdmAttributesArgs {
    /**
     * Unique identifier for this resource
     */
    vdmAttributesResourceId: string;
}
export interface GetVdmAttributesResult {
    /**
     * Specifies additional settings for your VDM configuration as applicable to the Dashboard.
     */
    readonly dashboardAttributes?: outputs.ses.VdmAttributesDashboardAttributes;
    /**
     * Specifies additional settings for your VDM configuration as applicable to the Guardian.
     */
    readonly guardianAttributes?: outputs.ses.VdmAttributesGuardianAttributes;
    /**
     * Unique identifier for this resource
     */
    readonly vdmAttributesResourceId?: string;
}
/**
 * Resource Type definition for AWS::SES::VdmAttributes
 */
export declare function getVdmAttributesOutput(args: GetVdmAttributesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVdmAttributesResult>;
export interface GetVdmAttributesOutputArgs {
    /**
     * Unique identifier for this resource
     */
    vdmAttributesResourceId: pulumi.Input<string>;
}
