import * as pulumi from "@pulumi/pulumi";
/**
 * Schema for AWS::SNS::TopicInlinePolicy
 */
export declare function getTopicInlinePolicy(args: GetTopicInlinePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetTopicInlinePolicyResult>;
export interface GetTopicInlinePolicyArgs {
    /**
     * The Amazon Resource Name (ARN) of the topic to which you want to add the policy.
     */
    topicArn: string;
}
export interface GetTopicInlinePolicyResult {
    /**
     * A policy document that contains permissions to add to the specified SNS topics.
     *
     * Search the [CloudFormation User Guide](https://docs.aws.amazon.com/cloudformation/) for `AWS::SNS::TopicInlinePolicy` for more information about the expected schema for this property.
     */
    readonly policyDocument?: any;
}
/**
 * Schema for AWS::SNS::TopicInlinePolicy
 */
export declare function getTopicInlinePolicyOutput(args: GetTopicInlinePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTopicInlinePolicyResult>;
export interface GetTopicInlinePolicyOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the topic to which you want to add the policy.
     */
    topicArn: pulumi.Input<string>;
}
