export declare const AcceleratorIpAddressType: {
    readonly Ipv4: "IPV4";
    readonly DualStack: "DUAL_STACK";
};
/**
 * IP Address type.
 */
export type AcceleratorIpAddressType = (typeof AcceleratorIpAddressType)[keyof typeof AcceleratorIpAddressType];
export declare const EndpointGroupHealthCheckProtocol: {
    readonly Tcp: "TCP";
    readonly Http: "HTTP";
    readonly Https: "HTTPS";
};
/**
 * The protocol that AWS Global Accelerator uses to check the health of endpoints in this endpoint group.
 */
export type EndpointGroupHealthCheckProtocol = (typeof EndpointGroupHealthCheckProtocol)[keyof typeof EndpointGroupHealthCheckProtocol];
export declare const ListenerClientAffinity: {
    readonly None: "NONE";
    readonly SourceIp: "SOURCE_IP";
};
/**
 * Client affinity lets you direct all requests from a user to the same endpoint.
 */
export type ListenerClientAffinity = (typeof ListenerClientAffinity)[keyof typeof ListenerClientAffinity];
export declare const ListenerProtocol: {
    readonly Tcp: "TCP";
    readonly Udp: "UDP";
};
/**
 * The protocol for the listener.
 */
export type ListenerProtocol = (typeof ListenerProtocol)[keyof typeof ListenerProtocol];
