export declare const BotAliasStatus: {
    readonly Creating: "Creating";
    readonly Available: "Available";
    readonly Deleting: "Deleting";
    readonly Failed: "Failed";
};
export type BotAliasStatus = (typeof BotAliasStatus)[keyof typeof BotAliasStatus];
export declare const BotAudioRecognitionStrategy: {
    readonly UseSlotValuesAsCustomVocabulary: "UseSlotValuesAsCustomVocabulary";
};
/**
 * Enables using slot values as a custom vocabulary when recognizing user utterances.
 */
export type BotAudioRecognitionStrategy = (typeof BotAudioRecognitionStrategy)[keyof typeof BotAudioRecognitionStrategy];
export declare const BotBedrockModelSpecificationBedrockTraceStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The Bedrock trace status in the Bedrock model specification details.
 */
export type BotBedrockModelSpecificationBedrockTraceStatus = (typeof BotBedrockModelSpecificationBedrockTraceStatus)[keyof typeof BotBedrockModelSpecificationBedrockTraceStatus];
export declare const BotDialogActionType: {
    readonly CloseIntent: "CloseIntent";
    readonly ConfirmIntent: "ConfirmIntent";
    readonly ElicitIntent: "ElicitIntent";
    readonly ElicitSlot: "ElicitSlot";
    readonly StartIntent: "StartIntent";
    readonly FulfillIntent: "FulfillIntent";
    readonly EndConversation: "EndConversation";
    readonly EvaluateConditional: "EvaluateConditional";
    readonly InvokeDialogCodeHook: "InvokeDialogCodeHook";
};
/**
 * The possible values of actions that the conversation can take.
 */
export type BotDialogActionType = (typeof BotDialogActionType)[keyof typeof BotDialogActionType];
export declare const BotMessageSelectionStrategy: {
    readonly Random: "Random";
    readonly Ordered: "Ordered";
};
/**
 * Indicates how a message is selected from a message group among retries.
 */
export type BotMessageSelectionStrategy = (typeof BotMessageSelectionStrategy)[keyof typeof BotMessageSelectionStrategy];
export declare const BotObfuscationSettingObfuscationSettingType: {
    readonly None: "None";
    readonly DefaultObfuscation: "DefaultObfuscation";
};
/**
 * Value that determines whether Amazon Lex obscures slot values in conversation logs. The default is to obscure the values.
 */
export type BotObfuscationSettingObfuscationSettingType = (typeof BotObfuscationSettingObfuscationSettingType)[keyof typeof BotObfuscationSettingObfuscationSettingType];
export declare const BotSlotConstraint: {
    readonly Required: "Required";
    readonly Optional: "Optional";
};
export type BotSlotConstraint = (typeof BotSlotConstraint)[keyof typeof BotSlotConstraint];
export declare const BotSlotShape: {
    readonly Scalar: "Scalar";
    readonly List: "List";
};
/**
 * The different shapes that a slot can be in during a conversation.
 */
export type BotSlotShape = (typeof BotSlotShape)[keyof typeof BotSlotShape];
export declare const BotSlotValueResolutionStrategy: {
    readonly OriginalValue: "ORIGINAL_VALUE";
    readonly TopResolution: "TOP_RESOLUTION";
};
export type BotSlotValueResolutionStrategy = (typeof BotSlotValueResolutionStrategy)[keyof typeof BotSlotValueResolutionStrategy];
export declare const BotVoiceSettingsEngine: {
    readonly Standard: "standard";
    readonly Neural: "neural";
    readonly LongForm: "long-form";
    readonly Generative: "generative";
};
/**
 * Indicates the type of Amazon Polly voice that Amazon Lex should use for voice interaction with the user. For more information, see the engine parameter of the SynthesizeSpeech operation in the Amazon Polly developer guide.
 */
export type BotVoiceSettingsEngine = (typeof BotVoiceSettingsEngine)[keyof typeof BotVoiceSettingsEngine];
