export declare const EnvironmentEndpointManagement: {
    readonly Customer: "CUSTOMER";
    readonly Service: "SERVICE";
};
/**
 * Defines whether the VPC endpoints configured for the environment are created, and managed, by the customer or by Amazon MWAA.
 */
export type EnvironmentEndpointManagement = (typeof EnvironmentEndpointManagement)[keyof typeof EnvironmentEndpointManagement];
export declare const EnvironmentLoggingLevel: {
    readonly Critical: "CRITICAL";
    readonly Error: "ERROR";
    readonly Warning: "WARNING";
    readonly Info: "INFO";
    readonly Debug: "DEBUG";
};
export type EnvironmentLoggingLevel = (typeof EnvironmentLoggingLevel)[keyof typeof EnvironmentLoggingLevel];
export declare const EnvironmentWebserverAccessMode: {
    readonly PrivateOnly: "PRIVATE_ONLY";
    readonly PublicOnly: "PUBLIC_ONLY";
};
/**
 * Choice for mode of webserver access including over public internet or via private VPC endpoint.
 */
export type EnvironmentWebserverAccessMode = (typeof EnvironmentWebserverAccessMode)[keyof typeof EnvironmentWebserverAccessMode];
