import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::Wisdom::KnowledgeBase Resource Type
 */
export declare function getKnowledgeBase(args: GetKnowledgeBaseArgs, opts?: pulumi.InvokeOptions): Promise<GetKnowledgeBaseResult>;
export interface GetKnowledgeBaseArgs {
    /**
     * The ID of the knowledge base.
     */
    knowledgeBaseId: string;
}
export interface GetKnowledgeBaseResult {
    /**
     * The Amazon Resource Name (ARN) of the knowledge base.
     */
    readonly knowledgeBaseArn?: string;
    /**
     * The ID of the knowledge base.
     */
    readonly knowledgeBaseId?: string;
    /**
     * Information about how to render the content.
     */
    readonly renderingConfiguration?: outputs.wisdom.KnowledgeBaseRenderingConfiguration;
    /**
     * Contains details about how to ingest the documents in a data source.
     */
    readonly vectorIngestionConfiguration?: outputs.wisdom.KnowledgeBaseVectorIngestionConfiguration;
}
/**
 * Definition of AWS::Wisdom::KnowledgeBase Resource Type
 */
export declare function getKnowledgeBaseOutput(args: GetKnowledgeBaseOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetKnowledgeBaseResult>;
export interface GetKnowledgeBaseOutputArgs {
    /**
     * The ID of the knowledge base.
     */
    knowledgeBaseId: pulumi.Input<string>;
}
